Subject: Re: bug#14200: 24.3; Window fringes / margins get reset on switching buffer

From: E Sabof <[email-masked]>
Date: Sat, 13 Apr 2013 22:52:24 +0100

On Sat, Apr 13, 2013 at 10:36 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 13 Apr 2013 21:51:35 +0100
> > From: E Sabof <[email-masked]>
> >
> > If in emacs -Q, I evaluate:
> >
> > (set-window-margins nil 5 5)
> > (set-window-fringes nil 16 16)
> >
> > and switch to a different buffer, the fringes/margins will be reset. They
> > will still be frame-default if I switch back to the same buffer.
>
> If you want the values you set be preserved for that buffer, you need
> to set the buffer-local values of left/right-margin-width and
> left/right-fringe-width.  If you want them to be preserved in a window
> regardless of the buffer it displays, switch to another buffer by
> invoking set-window-buffer with non-nil 3rd argument.
>

Thanks, but changing those variables (or the corresponding fringe ones)
doesn't seem to have any effect. emacs-version: GNU Emacs 24.3.1
(x86_64-unknown-linux-gnu, GTK+ Version 2.24.13) of 2013-03-05 on ubuntu

> Btw, I think it would make more sense, if the above settings where
> attached
> > to a buffer and not a window.
>
> They are (or can be), see above.
>

Evgeni